'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.combineStores = exports.createReducerForStore = exports.createCollection = exports.createOrchestra = exports.createStore = exports.Collection = exports.Orchestra = exports.Store = undefined;

var _Store = require('./Store');

var _Store2 = _interopRequireDefault(_Store);

var _Orchestra = require('./Orchestra');

var _Orchestra2 = _interopRequireDefault(_Orchestra);

var _Collection = require('./Collection');

var _Collection2 = _interopRequireDefault(_Collection);

var _createReducerForStore = require('./util/createReducerForStore');

var _createReducerForStore2 = _interopRequireDefault(_createReducerForStore);

var _combineStores = require('./util/combineStores');

var _combineStores2 = _interopRequireDefault(_combineStores);

var _rxjs = require('rxjs');

var _fluorineLib = require('fluorine-lib');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_rxjs.Observable.prototype.distinctSelector = _fluorineLib.distinctSelector;

exports.Store = _Store.Store;
exports.Orchestra = _Orchestra.Orchestra;
exports.Collection = _Collection.Collection;
exports.createStore = _Store2.default;
exports.createOrchestra = _Orchestra2.default;
exports.createCollection = _Collection2.default;
exports.createReducerForStore = _createReducerForStore2.default;
exports.combineStores = _combineStores2.default;